Debian Bug report logs - #614839
Cobalt fails to boot because CoLo requires hda, not sda

version graph

Package: colo-installer; Maintainer for colo-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for colo-installer is src:colo-installer.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Wed, 23 Feb 2011 18:27:09 UTC

Severity: serious

Found in version colo-installer/1.17

Fixed in versions colo-installer/1.18, colo-installer/1.17+squeeze1

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#614839; Package colo-installer. (Wed, 23 Feb 2011 18:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 23 Feb 2011 18:27:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: Cobalt fails to boot because CoLo requires hda, not sda
Date: Wed, 23 Feb 2011 18:26:36 +0000
Package: colo-installer
Version: 1.17
Severity: serious

Disks are called /dev/sdX nowadays so colo-installer puts a "mount
sda" statement into the CoLo config.  Unfortunately, this won't work
since CoLo only knows about "hda".

I'll commit a fix.

-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 04 Mar 2011 12:06:03 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Fri, 04 Mar 2011 12:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 614839-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 614839-close@bugs.debian.org
Subject: Bug#614839: fixed in colo-installer 1.18
Date: Fri, 04 Mar 2011 12:02:07 +0000
Source: colo-installer
Source-Version: 1.18

We believe that the bug you reported is fixed in the latest version of
colo-installer, which is due to be installed in the Debian FTP archive:

colo-installer_1.18.dsc
  to main/c/colo-installer/colo-installer_1.18.dsc
colo-installer_1.18.tar.gz
  to main/c/colo-installer/colo-installer_1.18.tar.gz
colo-installer_1.18_mipsel.udeb
  to main/c/colo-installer/colo-installer_1.18_mipsel.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614839@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated colo-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 04 Mar 2011 08:56:42 -0300
Source: colo-installer
Binary: colo-installer
Architecture: source mipsel
Version: 1.18
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 colo-installer - Install the Cobalt boot loader on your disk (udeb)
Closes: 614839
Changes: 
 colo-installer (1.18) unstable; urgency=low
 .
   [ Martin Michlmayr ]
   * Make sure to put "hda" into the CoLo config file instead of "sda"
     since CoLo only knows about the former.  Closes: #614839
 .
   [ Updated translations ]
   * Northern Sami (se.po) by Børre Gaup
Checksums-Sha1: 
 bd1619312f8a38300646dbfa56d8f79e3d3514bf 1552 colo-installer_1.18.dsc
 ccd8b2347c1ad01292c2166448f7066b95c1b5e1 40306 colo-installer_1.18.tar.gz
 90bbb1423821d14824601a696022e3919ab105f1 18410 colo-installer_1.18_mipsel.udeb
Checksums-Sha256: 
 2b3d13f63154629db8639f8c161ba7076a53e9ca1506e3787ec437de76adfb9e 1552 colo-installer_1.18.dsc
 e43c6a2ac22464b2d86616f57e4d6e50a2f0a84651fd81e0700ab3dfedc4b066 40306 colo-installer_1.18.tar.gz
 df93a06497b26736f57ba6d5db5e0310ed448c597f70a6780bb408798521cb6a 18410 colo-installer_1.18_mipsel.udeb
Files: 
 d9387e23424f2ece6b6572c08cfbd2ea 1552 debian-installer standard colo-installer_1.18.dsc
 d46c2ad66ca2e4985b295458d0c2d0f4 40306 debian-installer standard colo-installer_1.18.tar.gz
 e29f89b1ca9f0a9f9ddbab758966d9c8 18410 debian-installer standard colo-installer_1.18_mipsel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNcNOGAAoJEOtw/vPN/G5PlK0QAIhMt9j/GzS62BfpiUsi73UI
Z0uK7TU65N3BgpZxS5P7vjA0RHKPAFEkZIC/YN8REbFeoS+haKzUxYyMfccqC86G
oRjirdNumg2ch29a9IIX62PneI7iAVynHuN22RVTC9xvB5SeC0GzSKxN9Bp6ZJT5
wgeAVoUX9ZoH/XMl1UxxF4PiH1ehxuuqqSc/hKlCabmczcuib3hitHH51meFZrf6
cJkTbpKR+MmhgpcjTUr7RYjNoBo2eyxemVhVMpCBnWXyeAI9Bv6ahAN0GpxXb67Y
sHa9Wpo/ScYWZ/JDpTVbrxzlf7WGXLxLekhRfP3jT5L5HCfYVjyOrIlOAhFK2Agw
GFT0rQB1seSPD499wHC2ZN8pTSPuAg9DElrh/Vn9TIHeuFuSdaixIktc+1SM23Yc
7qD4a8FTa+N/xmyCI9VumKADOEz+ImykPdq2iPhaCdNxH3gsGGtG/1dLludqxVq0
iuHB4Z5/aYkH7dMXV9Hq4yHIEcw5NsWQalvZ9rbdV1JrQTPK8+PXs3dgExkFnchV
qRubC6NXHIurCzoqjbpSA4fBjtJzdDy+yRUkLOSB35vyqhkYbiCJH632Z35jWcPQ
ZJ/+BmLtbhh3kcdbGCjRayoGEh8BjeJAnKv5arqhDTxsS0Zh8hbMunH47jwxGILI
AZcKsGNjIEduHXxgNuPh
=OWwV
-----END PGP SIGNATURE-----





Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Sat, 05 Mar 2011 01:57:08 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Sat, 05 Mar 2011 01:57:08 GMT) Full text and rfc822 format available.

Message #15 received at 614839-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 614839-close@bugs.debian.org
Subject: Bug#614839: fixed in colo-installer 1.17+squeeze1
Date: Sat, 05 Mar 2011 01:55:19 +0000
Source: colo-installer
Source-Version: 1.17+squeeze1

We believe that the bug you reported is fixed in the latest version of
colo-installer, which is due to be installed in the Debian FTP archive:

colo-installer_1.17+squeeze1.dsc
  to main/c/colo-installer/colo-installer_1.17+squeeze1.dsc
colo-installer_1.17+squeeze1.tar.gz
  to main/c/colo-installer/colo-installer_1.17+squeeze1.tar.gz
colo-installer_1.17+squeeze1_mipsel.udeb
  to main/c/colo-installer/colo-installer_1.17+squeeze1_mipsel.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614839@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated colo-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 04 Mar 2011 08:59:59 -0300
Source: colo-installer
Binary: colo-installer
Architecture: source mipsel
Version: 1.17+squeeze1
Distribution: stable-proposed-updates
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 colo-installer - Install the Cobalt boot loader on your disk (udeb)
Closes: 614839
Changes: 
 colo-installer (1.17+squeeze1) stable-proposed-updates; urgency=low
 .
   [ Martin Michlmayr ]
   * Make sure to put "hda" into the CoLo config file instead of "sda"
     since CoLo only knows about the former.  Closes: #614839
Checksums-Sha1: 
 0a714b82f5ede1be01660caa422602e7983a1e63 1550 colo-installer_1.17+squeeze1.dsc
 94e386078cced9dda8afdc35363ceb4b7b88d6c6 40163 colo-installer_1.17+squeeze1.tar.gz
 e3e1bf65225f1062337e89872447ff8aba727cc9 18270 colo-installer_1.17+squeeze1_mipsel.udeb
Checksums-Sha256: 
 925bb756dc4781b0f7b125ed9592fd3d6236cfdee77fa00de78f6fd7862a6d03 1550 colo-installer_1.17+squeeze1.dsc
 b6cdcee919697023a40d23e0d736f48f1204102ddaafe645606d176c597f341b 40163 colo-installer_1.17+squeeze1.tar.gz
 01a6d836894fe52ce15b6b6b087ca3b117e3606ed5d7ecbd5c5d69f3130d7b22 18270 colo-installer_1.17+squeeze1_mipsel.udeb
Files: 
 56f868a5f372d311e9cc837b8354cb72 1550 debian-installer standard colo-installer_1.17+squeeze1.dsc
 a4c9722a1e3292f6350521c315af7ae5 40163 debian-installer standard colo-installer_1.17+squeeze1.tar.gz
 90e5bc6793ce5192546628fa13eba744 18270 debian-installer standard colo-installer_1.17+squeeze1_mipsel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNcNSuAAoJEOtw/vPN/G5Pd6sP/jnxdk3PBAYkT/2zDY8+m0k9
81qsbDWIi9K2+rSH/JlRTjM762JE1NP9LM3zJuDSLSxmd+g8GeIjSCVZ5Fvr4QHG
41M8uHhvN+7mtWQKX0mrnWO9EN4QfiNm/nrkTYm/obFdI5E7BXRgbqMukqXCLDWr
guhWptZ32qzUCRPOItYAbQF2C0ao0b8kJZGIvVg9v5XzVkFbOYokoc7IZLTQSF7d
Z5EBVGTy6L/SWRXzUY8q21D7hkd05JeKAWicP96shlCnOHGsIp3J5/r5Hg6R97YE
l0xi0GtdStVYwCkHVPwM6VHlOr8097vA5HEqd664aPOduiRhXdlceHhx0koBcFmo
OsGPPpLyY5EwpP9+pNX9uV6bZL89KTZAA4yl1y3nuyCsQTC2DzV2GnrBnKUDBiFj
KQ0/HjCgJxGLT14Pok0kvAcJZyrXYy3EggSnEAAfkCT95tlc24D0VwZi3GgWAb53
7+UiBgxzz7GpQllQorCl+qAtLf44P0tFH4CPzc+EnzZ/hiU+5We65svxYqf/uejo
mPAeOGagsIXIA+2LHGGg4lwQmbYXr/8EO4ZbJ+CGrQeJzRSMUSaQWh3Jg3h0RSkn
YM4GSwY4dVzb0McVs4MqGLAk9PNsfqKC9E3GhOUOSACH4vGWboLpGDwpd1kmvtAg
CIdpFUi/rpyTt2S+zxU4
=ViWy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Apr 2011 07:35:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:16:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.